org.apache.http.client.protocol

## Class ResponseProcessCookies

- java.lang.Object
- - org.apache.http.client.protocol.ResponseProcessCookies

All Implemented Interfaces:
  org.apache.http.HttpResponseInterceptor

    @Contract(threading=IMMUTABLE)
    public class ResponseProcessCookies
    extends Object
    implements org.apache.http.HttpResponseInterceptor

Response interceptor that populates the current `CookieStore` with data contained in response cookies received in the given the HTTP response.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ResponseProcessCookies()`

### Method Summary

Methods
`void` `process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseProcessCookies

    public ResponseProcessCookies()

### Method Detail

#### process

    public void process(org.apache.http.HttpResponse response,
               org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpResponseInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`